import fastapi as fa

from .ctrl import OrderController
from .schemas import OrderPostSchema


router = fa.APIRouter(prefix='/orders', tags=['Order'])
ctrl = OrderController()


@router.post('')
async def create_order(body: OrderPostSchema):
    return await ctrl.create(**body.model_dump(exclude_none=True))
